Debian Bug report logs - #600069
chromium doesn't work well with xajax-based sites

version graph

Package: chromium-browser; Maintainer for chromium-browser is Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>; Source for chromium-browser is src:chromium-browser.

Reported by: Igor Goryachev <igor.goryachev@gmail.com>

Date: Wed, 13 Oct 2010 11:33:01 UTC

Severity: normal

Tags: upstream

Merged with 662231

Found in versions chromium-browser/17.0.963.56~r121963-1, chromium-browser/7.0.544.0~r61416-1

Forwarded to http://crbug.com/58865

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, igor.goryachev@gmail.com, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#600069; Package chromium-browser. (Wed, 13 Oct 2010 11:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Igor Goryachev <igor.goryachev@gmail.com>:
New Bug report received and forwarded. Copy sent to igor.goryachev@gmail.com, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Wed, 13 Oct 2010 11:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Igor Goryachev <igor.goryachev@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: chromium doesn't work well with xajax-based sites
Date: Wed, 13 Oct 2010 15:32:10 +0400
Package: chromium-browser
Version: 7.0.544.0~r61416-1
Severity: important
Tags: squeeze

Chromium fails for some web-sites which use xajax (?). It raises error
dialog with the following message: "Error: the XML response that was
returned from the server is invalid."

To reproduce:
1. Go to URL http://salapin.ru/album855.html
2. Scroll down and click any photo thumbnail at the bottom.

See http://code.google.com/p/chromium/issues/detail?id=58865 for more
details.

The same behaviour could be also reproduced with older chromium-browser
from squeeze (6.0.472.62~r59676-1).

It seems to be a Debian-specific bug, Chromium from Ubuntu doesn't have
this defect (can't check this myself, it is information from one of my
friends).

BTW, other WebKit browsers such as midori and uzbl also have this issue.


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.35-trunk-686 (SMP w/4 CPU cores)
Locale: LANG=ru_RU.UTF-8, LC_CTYPE=ru_RU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages chromium-browser depends on:
ii  chromium-browser-ins 7.0.544.0~r61416-1  page inspector for the chromium-br
ii  libasound2           1.0.23-2            shared library for ALSA applicatio
ii  libbz2-1.0           1.0.5-6             high-quality block-sorting file co
ii  libc6                2.11.2-6            Embedded GNU C Library: Shared lib
ii  libcairo2            1.8.10-6            The Cairo 2D vector graphics libra
ii  libcups2             1.4.4-3             Common UNIX Printing System(tm) - 
ii  libdbus-1-3          1.2.24-3            simple interprocess messaging syst
ii  libdbus-glib-1-2     0.88-2              simple interprocess messaging syst
ii  libevent-1.4-2       1.4.13-stable-1     An asynchronous event notification
ii  libexpat1            2.0.1-7             XML parsing C library - runtime li
ii  libfontconfig1       2.8.0-2.1           generic font configuration library
ii  libfreetype6         2.4.2-1             FreeType 2 font engine, shared lib
ii  libgcc1              1:4.4.5-2           GCC support library
ii  libgconf2-4          2.28.1-4            GNOME configuration database syste
ii  libgcrypt11          1.4.5-2             LGPL Crypto library - runtime libr
ii  libglib2.0-0         2.24.2-1            The GLib library of C routines
ii  libgtk2.0-0          2.20.1-1+b1         The GTK+ graphical user interface 
ii  libicu44             4.4.1-6             International Components for Unico
ii  libjpeg62            6b1-1               The Independent JPEG Group's JPEG 
ii  libnspr4-0d          4.8.4-2             NetScape Portable Runtime Library
ii  libnss3-1d           3.12.6-3            Network Security Service libraries
ii  libpango1.0-0        1.28.1-1            Layout and rendering of internatio
ii  libpng12-0           1.2.44-1            PNG library - runtime
ii  libspeex1            1.2~rc1-1           The Speex codec runtime library
ii  libstdc++6           4.4.5-2             The GNU Standard C++ Library v3
ii  libv8-2.4.7          2.4.7-2             V8 JavaScript Engine
ii  libvpx0              0.9.1-1             VP8 video codec (shared library)
ii  libx11-6             2:1.3.3-3           X11 client-side library
ii  libxext6             2:1.1.2-1           X11 miscellaneous extension librar
ii  libxml2              2.7.7.dfsg-4        GNOME XML library
ii  libxrender1          1:0.9.6-1           X Rendering Extension client libra
ii  libxslt1.1           1.1.26-6            XSLT 1.0 processing library - runt
ii  libxss1              1:1.2.0-2           X11 Screen Saver extension library
ii  xdg-utils            1.0.2+cvs20100307-2 desktop integration utilities from
ii  zlib1g               1:1.2.3.4.dfsg-3    compression library - runtime

chromium-browser recommends no packages.

Versions of packages chromium-browser suggests:
pn  chromium-browser-l10n         <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#600069; Package chromium-browser. (Tue, 09 Nov 2010 00:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Tue, 09 Nov 2010 00:21:03 GMT) Full text and rfc822 format available.

Message #10 received at 600069@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Igor Goryachev <igor.goryachev@gmail.com>
Cc: 600069@bugs.debian.org
Subject: Re: chromium doesn't work well with xajax-based sites
Date: Mon, 8 Nov 2010 18:17:39 -0600
tags 600069 + squeeze sid experimental upstream
forwarded 600069 http://crbug.com/58865
quit

Hi Igor,

Igor Goryachev wrote:

> Chromium fails for some web-sites which use xajax (?). It raises error
> dialog with the following message: "Error: the XML response that was
> returned from the server is invalid."
[...]
> It seems to be a Debian-specific bug, Chromium from Ubuntu doesn't have
> this defect (can't check this myself, it is information from one of my
> friends).
> 
> BTW, other WebKit browsers such as midori and uzbl also have this issue.

Do you know what version of Chromium your friend uses?  Also, if you
can still reproduce the problem with midori and uzbl, could you file a
bug against libwebkit-1.0-2, too?

Thanks,
Jonathan




Added tag(s) upstream, sid, and experimental. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 09 Nov 2010 00:21:04 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://crbug.com/58865'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 09 Nov 2010 00:21:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#600069; Package chromium-browser. (Thu, 18 Nov 2010 22:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Igor Goryachev <igor.goryachev@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Thu, 18 Nov 2010 22:48:06 GMT) Full text and rfc822 format available.

Message #19 received at 600069@bugs.debian.org (full text, mbox):

From: Igor Goryachev <igor.goryachev@gmail.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 600069@bugs.debian.org
Subject: Re: chromium doesn't work well with xajax-based sites
Date: Fri, 19 Nov 2010 01:45:07 +0300
On 9 November 2010 03:17, Jonathan Nieder <jrnieder@gmail.com> wrote:

> Do you know what version of Chromium your friend uses?  Also, if you
> can still reproduce the problem with midori and uzbl, could you file a
> bug against libwebkit-1.0-2, too?

Hi, Jonathan.

I've tried self-backported chromium package taken from the following
repository which works as expected with those xajax-based sites:

=====
deb-src http://ppa.launchpad.net/chromium-daily/ppa/ubuntu maverick
main multiverse restricted universe
=====

Thanks,
Igor.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#600069; Package chromium-browser. (Thu, 18 Nov 2010 23:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Thu, 18 Nov 2010 23:03:06 GMT) Full text and rfc822 format available.

Message #24 received at 600069@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Igor Goryachev <igor.goryachev@gmail.com>
Cc: 600069@bugs.debian.org
Subject: Re: chromium doesn't work well with xajax-based sites
Date: Thu, 18 Nov 2010 17:00:22 -0600
Igor Goryachev wrote:

> deb-src http://ppa.launchpad.net/chromium-daily/ppa/ubuntu maverick
> main multiverse restricted universe

Ok, that means
9.0.589.0~svn20101118r66583-0ubuntu1~ucd1~maverick
works, presumably.

Thanks again.




Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:04:49 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#600069; Package chromium-browser. (Wed, 28 Sep 2011 15:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Igor Goryachev <igor@goryachev.org>:
Extra info received and forwarded to list. Copy sent to Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Wed, 28 Sep 2011 15:54:05 GMT) Full text and rfc822 format available.

Message #31 received at 600069@bugs.debian.org (full text, mbox):

From: Igor Goryachev <igor@goryachev.org>
To: 600069@bugs.debian.org
Subject: Re: chromium doesn't work well with xajax-based sites
Date: Wed, 28 Sep 2011 19:51:51 +0400
Hello again.

It seems the most simple way to reproduce this bug (or to get a strange
behaviour may be with the same roots for this bug) is to load a simple
xml-file with 'windows-1251' encoding defined (which is validated as
good xml-file by xmllint):

<?xml version="1.0" encoding="windows-1251"?>
<test />


-- 
Igor Goryachev




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#600069; Package chromium-browser. (Wed, 28 Sep 2011 20:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Wed, 28 Sep 2011 20:45:03 GMT) Full text and rfc822 format available.

Message #36 received at 600069@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Igor Goryachev <igor@goryachev.org>
Cc: 600069@bugs.debian.org
Subject: Re: chromium doesn't work well with xajax-based sites
Date: Wed, 28 Sep 2011 15:42:33 -0500
tags 600069 = upstream
severity 600069 normal
quit

Igor Goryachev wrote:

> It seems the most simple way to reproduce this bug (or to get a strange
> behaviour may be with the same roots for this bug) is to load a simple
> xml-file with 'windows-1251' encoding defined (which is validated as
> good xml-file by xmllint):
>
> <?xml version="1.0" encoding="windows-1251"?>
> <test />

Thanks; that's helpful.  Let's take this upstream.




Removed tag(s) sid, squeeze, wheezy, and experimental. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 28 Sep 2011 20:45:10 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'important' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 28 Sep 2011 20:45:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#600069; Package chromium-browser. (Thu, 29 Sep 2011 09:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giuseppe Iuculano <giuseppe@iuculano.it>:
Extra info received and forwarded to list. Copy sent to Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Thu, 29 Sep 2011 09:09:12 GMT) Full text and rfc822 format available.

Message #45 received at 600069@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <giuseppe@iuculano.it>
To: Igor Goryachev <igor@goryachev.org>, 600069@bugs.debian.org
Subject: Re: [Pkg-chromium-maint] Bug#600069: chromium doesn't work well with xajax-based sites
Date: Thu, 29 Sep 2011 11:03:48 +0200
[Message part 1 (text/plain, inline)]
On 09/28/2011 05:51 PM, Igor Goryachev wrote:
> It seems the most simple way to reproduce this bug (or to get a strange
> behaviour may be with the same roots for this bug) is to load a simple
> xml-file with 'windows-1251' encoding defined (which is validated as
> good xml-file by xmllint):
> 
> <?xml version="1.0" encoding="windows-1251"?>
> <test />

This happens because we use libxml2 system copy


Cheers,
Giuseppe.

[signature.asc (application/pgp-signature, attachment)]

Merged 600069 662231. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sun, 04 Mar 2012 21:00:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:27:01 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.